# eGroceries

eGrocery\_GF\_Feed\_Template.csv

<table data-full-width="true"><thead><tr><th width="165">Field</th><th width="267">Description</th><th>Format</th><th>Example</th><th>Usage</th></tr></thead><tbody><tr><td>sku</td><td>Product's unique identifier</td><td>String (up to 256 characters)</td><td>12345</td><td></td></tr><tr><td>group_id</td><td>Product group identifier — variants of a single product distinguished by certain attributes</td><td>String (up to 256 characters)</td><td>12345</td><td></td></tr><tr><td>name</td><td>Product name (as it is shown in the widget)</td><td>String (up to 1000 characters)</td><td>Alpro Barista Coconut 1L</td><td></td></tr><tr><td>url</td><td>Link to the product</td><td>String (up to 1000 characters)</td><td>https://www.egrocery.com/product/alpro-barista-coconut-1l--306634</td><td></td></tr><tr><td>price</td><td>Price</td><td>Float</td><td>3.80</td><td></td></tr><tr><td>in_stock</td><td>Stock availability</td><td>Boolean</td><td>TRUE / FALSE</td><td></td></tr><tr><td>image_url</td><td>Product image link</td><td>String (up to 1000 characters)</td><td>https://media.egrocery.com/products/x956/4m/gc/3moz6iwdux24eksd27lyi7nok575gc4m.jpeg</td><td></td></tr><tr><td>categories</td><td>Categories the product belongs to, from the broadest to the most specific</td><td>String (separator "|" with no extra spaces, up to 1000 characters)</td><td>Fresh &#x26; Chilled Food|Dairy &#x26; Eggs|Milk Alternatives</td><td></td></tr><tr><td>keywords</td><td>Additional product information separated using "|". Filling in this property is necessary for calculating product similarity scoring (only used for the Similarity strategy). Keywords should be specified from general to specific (or from the most important to the least important), as the system will exclude the last word if the entire set does not match. For example, if the set of keywords is "Outerwear|Women's|Coats|Black" - if no products have the exact same set, the system will search for products with keywords "Outerwear|Women's|Coats" and so on, until only the first keyword remains.</td><td>String (separator "|" with no extra spaces, up to 1000 characters)</td><td>UK|Alpro|Organic|Vegan</td><td></td></tr><tr><td>old_price</td><td>Price before discount</td><td>String (up to 1000 characters)</td><td>4.2</td><td></td></tr><tr><td>review_count</td><td>Amount of reviews for product</td><td>String (up to 1000 characters)</td><td>879</td><td></td></tr><tr><td>rating</td><td>Product star rating</td><td>String (up to 1000 characters)</td><td>4.5</td><td></td></tr><tr><td>is_sale</td><td>Attribute indicating that the product is discounted</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>sale_badge_url</td><td>Sale badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/sale_badge.jpg</td><td></td></tr><tr><td>is_bestseller</td><td>Attribute indicating that the product is a bestseller</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>bestseller_badge_url</td><td>Bestseller badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/bestseller_badge.jpg</td><td></td></tr><tr><td>is_new</td><td>Attribute indicating that the product is new</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>new_badge_url</td><td>New badge image link</td><td>String (up to 1000 characters)</td><td>https://web.com/new_badge.jpg</td><td></td></tr><tr><td>in_stock_status</td><td>Relative product stock availability</td><td>String (up to 1000 characters)</td><td>low</td><td></td></tr><tr><td>margin_group</td><td>Relative product margin</td><td>String (up to 1000 characters)</td><td>3</td><td></td></tr><tr><td>brand</td><td>Brand</td><td>String (up to 1000 characters)</td><td>Alpro</td><td></td></tr><tr><td>periodic</td><td>Attribute indicating that the product tends to be purchased on a regular basis</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>global_category</td><td>Top level category</td><td>String (up to 1000 characters)</td><td>food</td><td></td></tr><tr><td>is_hypoallergic</td><td>Attribute indicating that the product is hypoallergic</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>is_vegan</td><td>Attribute indicating that the product is suitable for vegans</td><td>String (up to 1000 characters)</td><td>TRUE</td><td></td></tr><tr><td>price_grade</td><td>Relative price grade within category (denoting if it’s a cheap smartphone or an expensive smartphone)</td><td>String (up to 1000 characters)</td><td>high</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gravityfield.ai/lang/en/implementation/client-side-integration/4.-product-feed/egroceries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
